﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using PdfSharp;
using PdfSharp.Pdf;
using ThinkGeo.MapSuite.Core;

namespace GoogleMapLayerTest
{
    public class GoogleMapPdfGeoCanvas:PdfGeoCanvas
    {
        protected override void BeginDrawingCore(object nativeImage, RectangleShape worldExtent, GeographyUnit drawingMapUnit)
        {
            base.BeginDrawingCore(nativeImage, worldExtent, drawingMapUnit);

            Width = DrawingArea.Width;
            Height = DrawingArea.Height;

            CurrentWorldExtent = ExtentHelper.GetDrawingExtent(worldExtent, Width, Height);
        }
    }
}
